Subject: Re: [Lwip] Genart telechat review of draft-ietf-lwig-energy-efficient-08

From: "Carles Gomez Montenegro" <[email-masked]>
Date: Tue, 16 Jan 2018 12:58:35 +0100

Dear Peter,

Thanks a lot for your helpful review.

We plan to incorporate your suggestions in the next revision of the draft.

Best regards,

Carles

> Reviewer: Peter Yee
> Review result: Ready with Issues
>
> I am the assigned Gen-ART reviewer for this draft. The General Area
> Review Team (Gen-ART) reviews all IETF documents being processed
> by the IESG for the IETF Chair. Please wait for direction from your
> document shepherd or AD before posting a new version of the draft.
>
> For more information, please see the FAQ at
>
> <https://trac.ietf.org/trac/gen/wiki/GenArtfaq>.
>
> Document: draft-ietf-lwig-energy-efficient-08
> Reviewer: Peter Yee
> Review Date: 2017-12-09
> IETF LC End Date: None
> IESG Telechat date: 2018-01-11
>
> Summary: This Informational Track specification discusses aspects of
> network
> protocol design that can negatively affect energy consumption of
> constrained
> nodes.  It's generally informative, although it doesn't provide much
> specific
> guidance on how its recommendations can be accomplished.  Ready with
> Issues.
>
> Major issues:
>
> Minor issues:
>
> Page 8, section 3.6.1, section title: this whole section refers to IEEE
> 802.11,
> but there is no reference to primary specification given.  Furthermore, a
> specific version of IEEE 802.11 should be cited.  The current version is
> IEEE
> 802.11-2016.  Reference to IEEE 802.11v is made further down in this
> section,
> but in fact IEEE 802.11v was incorporated and subsumed into IEEE
> 802.11-2012
> and need not be separately cited any longer.  IEEE considers IEEE 802.11v
> to be
> a superseded standard.
>
> Page 9, 6th paragraph: this paragraph should be expanded and clarified.
> It
> makes the implied assumption that the protocol is operating on a
> constrained
> node, but there are (generally) two sides to a protocol.  The remote side
> may
> not be aware of the constrained nature of the device with which it is
> communicating.  And in fact, it may be communicating with a mix of
> constrained
> and unconstrained devices, so without some form of signaling, it will not
> necessarily know to synchronize with parameters that are complementary to
> the
> needs of the constrained device.  While I understand what the paragraph is
> saying, it gives the topic short shrift.
>
> Nits/editorial comments:
>
> General:
>
> Append a comma after occurrences of i.e. and e.g.
>
> Specific:
>
> Page 1, Abstract, 2nd sentence: delete the comma.
>
> Page 3, 2nd full paragraph, 1st sentence: insert a space before each of
> "[RFC6775]" and "[RFC4944]".
>
> Page 3, section 1.1: insert "and" between "[RFC7228]" and
> "[I-D.bormann-lwig-7228bis]".
>
> Page 8, section 3.4, 3rd sentence: the sentence refers to "the next
> subsection", but in fact that should be a point to subsection 3.6.  Either
> re-order subsections 3.4 and 3.5 to make the reference correct or change
> to an
> explicit "subsection 3.6".
>
> Page 8, section 3.6.1, 1st paragraph, 5th sentence: change "the latter" to
> "it".
>
> Page 9, 5th paragraph: change "client initiated" to "client-initiated".
> Change
> "network assisted" to "network-assisted".  Change "Idel" to "Idle".
> Change
> both occurrences of "save" to "saving".
>
> Page 9, section 3.6.2, 1st paragraph, 3rd sentence: delete the second
> "IPv6".
>
> Page 10, 1st full paragraph, 2nd sentence: change "since" to "from".
>
> Page 10, section 3.6.3, last sentence: chance "functionalites" to
> "functionalities".
>
> Page 13, 1st paragraph, 1st sentence: append a comma after "At the MAC
> level".
>
> Page 13, 1st paragraph, 2nd sentence: insert "a" before "paging".
>
> Page 13, 1st paragraph, 9th sentence: change "check" to "checking".
>
> Page 13, 2nd paragraph, 6th sentence: change "dummybearer" to "dummy
> bearer".
>
> Page 13, 2nd paragraph, 7th sentence: insert "a" before "longer".  Change
> "a"
> before "energy" to "an".
>
> Page 14, section 4, 2nd paragraph, 1st sentence: change "energy-efficient"
> to
> "energy efficient".
>
> Page 14, section 4, 2nd paragraph, 6th sentence: change "then" to "the"
> before
> "6LoWPAN".
>
> Page 15, 1st partial paragraph, 1st full sentence: change "alternative" to
> "alternatively".
>
> Page 15, section 5, 2nd paragraph, 6th sentence: change "energy-friendly"
> to
> "energy friendly".
>
> Page 15, section 5, 3rd paragraph, 2nd sentence: replace "allows to
> provide"
> with "provides".
>
> Page 17, section 6.4, 1st sentence: substitute "encodes" for "allows to
> encode".
>
> Page 18, section 9, 2nd paragraph: insert "The" before "Authors" and make
> "Authors" lowercase.
>
> Page 18, section 9, 3rd paragraph, 1st sentence: insert "the" before
> "IESG".
> Change "IETF87" to "IETF 87".
>
> Page 18, section 9, 3rd paragraph, 2nd sentence: Change "Jaeglli" to
> "Jaeggli".
>
> Page 19, section 11: change "the energy efficient" to "energy-efficient".
>
> Page 19, IEEE80211v reference: drop the period after "Management".
>
>